org.jboss.logging

## Annotation Type MessageLogger

Deprecated.
Use org.jboss.logging.annotations.MessageLogger provided in module org.jboss.logging:jboss-logging-annotations

    @Retention(value=CLASS)
     @Target(value=TYPE)
     @Documented
     @Deprecated
    public @interface MessageLogger

Signify that an interface is a typed logger interface. A message logger interface may optionally extend other message logger interfaces and message bundle interfaces (see `MessageBundle`, as well as the `BasicLogger` interface.

Author:
  David M. Lloyd

### Required Element Summary

Required Elements
`String` `projectCode` Deprecated. Get the project code for messages that have an associated code.

### Element Detail

#### projectCode

    public abstract String projectCode

Deprecated.
Get the project code for messages that have an associated code. If no project code is associated with this logger, specify `""` (the empty string).

Returns:
  the project code